Bug 18808 - /usr/lib/libxcb-aux.so.0.0.0 calls exit()
Summary: /usr/lib/libxcb-aux.so.0.0.0 calls exit()
Status: RESOLVED FIXED
Alias: None
Product: XCB
Classification: Unclassified
Component: Utils (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: xcb mailing list dummy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-28 15:26 UTC by Michal Nowak
Modified: 2008-11-29 09:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch (293 bytes, patch)
2008-11-28 15:26 UTC, Michal Nowak
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Nowak 2008-11-28 15:26:46 UTC
Created attachment 20680 [details] [review]
Proposed patch

rpmlint from Fedora ran on the xcb-utils package suggests this:

"""
xcb-util.i386: W: shared-lib-calls-exit /usr/lib/libxcb-aux.so.0.0.0 exit@GLIBC_2.0
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.
"""

Perhaps the intention was to *return* something, and perhaps non-zero?
Comment 1 Peter Harris 2008-11-29 09:34:28 UTC
Thanks for the report. I've fixed this (a different way) in c9796f2.


bug/show.html.tmpl processed on Jul 27, 2016 at 11:32:01.
(provided by the Example extension).